Skip to content

Update Bucket Replication

PUT
/api/v1/storage/bucket-replication/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket-replication/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"status": true,
"rule_id": 12345
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
status

Set to true to enable the replication rule, or false to disable it.

boolean

Example

true
rule_id
integer

Example

12345

Replication rule updated successfully.

Media typeapplication/json
object
code
integer
data
object
id
integer
user
integer
source_bucket
string
destination_bucket
string
source_bucket_location
string
destination_bucket_location
string
enabled
boolean
created_at
string format: date-time
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 123,
"user": 12345,
"source_bucket": "first-bucket",
"destination_bucket": "second-bucket",
"source_bucket_location": "Delhi",
"destination_bucket_location": "Chennai",
"enabled": true,
"created_at": "2025-05-28T05:07:40.359314Z"
},
"errors": {},
"message": "Success"
}